Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: problemen met printen en scannen  (gelezen 1223 keer)

Offline molly w

  • Lid
problemen met printen en scannen
« Gepost op: 2015/09/09, 13:58:20 »
Sinds update Linux enkele dagen geleden heb ik problemen met printen en scannen (met gImagereader OCR)
Eerst wat info:
  • Linux 13 maya
  • HP Printer 2575, driver HPLIP 3.15.6
Probleem 1
Er wordt niet meer geprint. Afdrukstatus meldt:  Status: vastgehouden; grootte 0kB (raar!) Bij de eigenschappen wordt vermeld: job-printer-state-message: usr/lib/cups/backend/hp failed. (zie ook afbeelding)
Het maakt niet uit wat ik wil printen of vanuit welk programma.
Probleem 2
Als ik met gImageReader een document van meerdere pagina's wil scannen, krijg ik bij het 2e blad een error: Scan mislukt.
Ik heb gemaild met Sandro Mani. Die antwoordde:
Citaat
The cause of the crash is that the scanner driver aborts in sane_hpaio_close. Could you install hplip-dbg and generate a new backtrace? It should then be clear what is causing the failed assertion in the driver.
Dat heb ik gedaan, maar geen succes.
Na wat gemail, waarin ik ook wees op een probleem bij het updaten mijn systeem, antwoordde hij:
Citaat
Well merely installing hplip-dbg could not have solved the issue, but it did provide more information as to where the crash occurs. Compare

#13 0x073ab1ad in hpaioPmlDeallocateObjects (hpaio=<optimized out>) at scan/sane/hpaio.c:604
#14 sane_hpaio_close (handle=0xb51661b8) at scan/sane/hpaio.c:2432
#15 0x00f0f32f in sane_dll_close () from /usr/lib/i386-linux-gnu/libsane.so.1

with

#13 0x056d11ad in sane_hpaio_close () from /usr/lib/sane/libsane-hpaio.so.1
#14 0x001e832f in sane_dll_close () from /usr/lib/i386-linux-gnu/libsane.so.1
#15 0x001e572b in sane_close () from /usr/lib/i386-linux-gnu/libsane.so.1

from before.

So this appears to be a memory corruption issue in the driver. Not much I can do about that I'm afraid... You'll need to sort this out with the developers of the hpaio driver.

Ik het het sterke vermoeden dat de problemen de oorsprong hebben bij de laatste update van mijn systeem. Ik kreeg de melding:
Citaat
Fout bij updaten:

E: /var/cache/apt/archives/hplip-data_3.12.2-1ubuntu3.5_all.deb: kan de status van `./usr/share/hplip/printsettings.py' niet opvragen (die ik net wilde gaan installeren): Invoer-/uitvoerfout
Citaat
Details:
(Database inlezen ... 205832 files and directories currently installed.)
Voorbereiden om dkms 2.2.0.3-1ubuntu3.2 te vervangen (door .../dkms_2.2.0.3-1ubuntu3.3_all.deb) ...
Uitpakken van vervangende dkms ...
Voorbereiden om hplip-data 3.12.2-1ubuntu3.4 te vervangen (door .../hplip-data_3.12.2-1ubuntu3.5_all.deb) ...
Uitpakken van vervangende hplip-data ...
dpkg: fout bij afhandelen van /var/cache/apt/archives/hplip-data_3.12.2-1ubuntu3.5_all.deb (--unpack):
 kan de status van `./usr/share/hplip/printsettings.py' niet opvragen (die ik net wilde gaan installeren): Invoer-/uitvoerfout
dpkg-deb: error: subprocess paste was killed by signal (Gebroken pijp)
Processing triggers for man-db ...
Fouten gevonden tijdens behandelen van:
 /var/cache/apt/archives/hplip-data_3.12.2-1ubuntu3.5_all.deb
W: Er is gewacht op dpkg --assert-multi-arch, maar die kwam niet - dpkgGo (10: Geen dochterprocessen)
E: Sub-process /usr/bin/dpkg returned an error code (1)
Een pakket kon niet geïnstalleerd worden. Aan het proberen om te herstellen:
Instellen van dkms (2.2.0.3-1ubuntu3.3) ...

Wat te doen??
  • HPLIPS opnieuw installeren? Door te gaan naar de plek waar die staat opgeslagen en dubbelklik op pictogram HPCUPS
  • De update terugdraaien dan wel tot een goed einde brengen. Maar hoed dan?

Offline Lowlands

  • Lid
  • Steunpunt: Nee
Re: problemen met printen en scannen
« Reactie #1 Gepost op: 2015/09/09, 16:29:41 »
Ga eens naar hplip en kijk naar de status,staat daar misschien dat de printer rejects jobs?Dan moet je daar dat omschakelen naar accept jobs.Heb ik ook een paar keer gehad dat ik zat te puzzlen waarom hij niet printe.En dan zag ik dat wel,maar niet hoe ik dat kon omschakelen.
Doe rustig aan,ben ik ook de hele dag druk mee.

Offline molly w

  • Lid
Re: problemen met printen en scannen
« Reactie #2 Gepost op: 2015/09/09, 16:56:21 »
Stond al op 'accepting jobs'. zie bijlage. Daar ligt dus het probleem niet.

Offline jvecht

  • Lid
    • Just Vecht
  • Steunpunt: Ja
Re: problemen met printen en scannen
« Reactie #3 Gepost op: 2015/09/10, 09:06:30 »
Misschien eens met Synaptic proberen: gebroken pakketten repareren? Er staat een rood kruis bij de printer in hplip. Ik denk dat je gelijk hebt met die update. Daar is wat fout gegaan.
GIMP bundel 2017  25 cursussen met geweldig mooi oefenmateriaal. Lekker lezen of er wat van opsteken!
  Boekje "Werken met Xubuntu" 4000+ downloads!
     Het Helpmij Magazine December 2017

Offline joop905

  • Lid
  • Steunpunt: Nee
Re: problemen met printen en scannen
« Reactie #4 Gepost op: 2015/09/10, 09:43:53 »
Kijk eens in de Cups-server zelf

http://localhost:631/admin

of hier
Start eens een terminal en tik in

sudo hp-setup
of deze

hp-check -t
zijn hier foutmeldingen

Offline molly w

  • Lid
Re: problemen met printen en scannen
« Reactie #5 Gepost op: 2015/09/10, 12:13:55 »
gedaan:
Citaat
hp-check -t
Uitkomst:
hp-check[3454]: info: :
hp-check[3454]: info: :HP Linux Imaging and Printing System (ver. 3.15.7)
hp-check[3454]: info: :Dependency/Version Check Utility ver. 15.1
hp-check[3454]: info: :
hp-check[3454]: info: :Copyright (c) 2001-15 Hewlett-Packard Development Company, LP
hp-check[3454]: info: :This software comes with ABSOLUTELY NO WARRANTY.
hp-check[3454]: info: :This is free software, and you are welcome to distribute it
hp-check[3454]: info: :under certain conditions. See COPYING file for more details.
hp-check[3454]: info: :
hp-check[3454]: info: :Note: hp-check can be run in three modes:
hp-check[3454]: info: :1. Compile-time check mode (-c or --compile): Use this mode before compiling the
hp-check[3454]: info: :HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies
hp-check[3454]: info: :are installed to successfully compile HPLIP.                                   
hp-check[3454]: info: :2. Run-time check mode (-r or --run): Use this mode to determine if a distro   
hp-check[3454]: info: :supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball   
hp-check[3454]: info: :has the proper dependencies installed to successfully run.                     
hp-check[3454]: info: :3. Both compile- and run-time check mode (-b or --both) (Default): This mode   
hp-check[3454]: info: :will check both of the above cases (both compile- and run-time dependencies).   
hp-check[3454]: info: :
hp-check[3454]: info: :Check types:                                                                   
hp-check[3454]: info: :a. EXTERNALDEP - External Dependencies                                         
hp-check[3454]: info: :b. GENERALDEP - General Dependencies (required both at compile and run time)   
hp-check[3454]: info: :c. COMPILEDEP - Compile time Dependencies                                       
hp-check[3454]: info: :d. [All are run-time checks]                                                   
hp-check[3454]: info: :PYEXT SCANCONF QUEUES PERMISSION                                               
hp-check[3454]: info: :
hp-check[3454]: info: :Status Types:
hp-check[3454]: info: :    OK
hp-check[3454]: info: :    MISSING       - Missing Dependency or Permission or Plug-in
hp-check[3454]: info: :    INCOMPAT      - Incompatible dependency-version or Plugin-version
hp-check[3454]: info: :
hp-check[3454]: info: :
hp-check[3454]: info: :---------------
hp-check[3454]: info: :| SYSTEM INFO |
hp-check[3454]: info: :---------------
hp-check[3454]: info: :
hp-check[3454]: info: : Kernel: 3.2.0-23-generic #36-Ubuntu SMP Tue Apr 10 20:41:14 UTC 2012 GNU/Linux
 Host: PCZolder
 Proc: 3.2.0-23-generic #36-Ubuntu SMP Tue Apr 10 20:41:14 UTC 2012 GNU/Linux
 Distribution: linuxmint 13
hp-check[3454]: info: : Bitness: 32 bit

hp-check[3454]: info: :
hp-check[3454]: info: :-----------------------
hp-check[3454]: info: :| HPLIP CONFIGURATION |
hp-check[3454]: info: :-----------------------
hp-check[3454]: info: :
hp-check[3454]: info: :HPLIP-Version: HPLIP 3.15.7
hp-check[3454]: info: :HPLIP-Home: /usr/share/hplip
hp-check[3454]: info: :HPLIP-Installation: Auto installation is supported for linuxmint distro  13 version
hp-check[3454]: info: :
hp-check[3454]: info: :Current contents of '/etc/hp/hplip.conf' file:
hp-check[3454]: info: :# hplip.conf.  Generated from hplip.conf.in by configure.

[hplip]
version=3.15.7

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.15.7
html=/usr/share/doc/hplip-3.15.7
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin

# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.15.7
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
policy-kit=no
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no

hp-check[3454]: info: :
hp-check[3454]: info: :Current contents of '/var/lib/hp/hplip.state' file:
hp-check[3454]: info: :Plugins are not installed. Could not access file: Bestand of map bestaat niet
hp-check[3454]: info: :
hp-check[3454]: info: :Current contents of '~/.hplip/hplip.conf' file:
hp-check[3454]: info: :[upgrade]
notify_upgrade = true
last_upgraded_time = 1438428162
pending_upgrade_time = 0
latest_available_version = 3.15.7

[settings]
systray_visible = 0
systray_messages = 0

[last_used]
device_uri = "hp:/net/Photosmart_2570_series?zc=HP054C3D"
printer_name =
working_dir = .

[commands]
scan = /usr/bin/xsane -V %SANE_URI%

[refresh]
rate = 30
enable = false
type = 1

[polling]
enable = false
interval = 5
device_list =

[fax]
voice_phone =
email_address =

[installation]
date_time = 10-09-15 12:05:59
version = 3.15.7


hp-check[3454]: info: : <Package-name>        <Package-Desc>      <Required/Optional> <Min-Version> <Installed-Version> <Status>   <Comment>
hp-check[3454]: info: :
hp-check[3454]: info: :--------------------------
hp-check[3454]: info: :|  External Dependencies |
hp-check[3454]: info: :--------------------------
hp-check[3454]: info: :
hp-check[3454]: info: : gs                   GhostScript - PostScript and PDF language interpreter and previewer REQUIRED        7.05            9.05            OK         -
hp-check[3454]: info: : scanimage            scanimage - Shell scanning program                           OPTIONAL        1.0             1.0.22          OK         -
hp-check[3454]: info: : xsane                xsane - Graphical scanner frontend for SANE                  OPTIONAL        0.9             0.998           OK         -
hp-check[3454]: info: : cups                 CUPS - Common Unix Printing System                           REQUIRED        1.1             1.5.3           OK         'CUPS Scheduler is running'
hp-check[3454]: info: : policykit            PolicyKit - Administrative policy framework                  OPTIONAL        -               0.104           OK         -
hp-check[3454]: info: : network              network -wget                                                OPTIONAL        -               1.13.4          OK         -
hp-check[3454]: info: : avahi-utils          avahi-utils                                                  OPTIONAL        -               0.6.30          OK         -
hp-check[3454]: info: : dbus                 DBus - Message bus system                                    REQUIRED        -               1.4.18          OK         -
hp-check[3454]: info: :
hp-check[3454]: info: :-------------------------
hp-check[3454]: info: :|  General Dependencies |
hp-check[3454]: info: :-------------------------
hp-check[3454]: info: :
hp-check[3454]: info: : libcrypto            libcrypto - OpenSSL cryptographic library                    REQUIRED        -               1.0.1           OK         -
hp-check[3454]: info: : python-dbus          Python DBus - Python bindings for DBus                       REQUIRED        0.80.0          1.0.0           OK         -
hp-check[3454]: info: : reportlab            Reportlab - PDF library for Python                           OPTIONAL        2.0             2.5             OK         -
hp-check[3454]: info: : python-notify        Python libnotify - Python bindings for the libnotify Desktop notifications OPTIONAL        -               -               OK         -
hp-check[3454]: info: : pyqt4                PyQt 4- Qt interface for Python (for Qt version 4.x)         REQUIRED        4.0             4.9.1           OK         -
hp-check[3454]: info: : python-xml           Python XML libraries                                         REQUIRED        -               2.0.1           OK         -
hp-check[3454]: info: : libusb               libusb - USB library                                         REQUIRED        -               1.0             OK         -
hp-check[3454]: info: : cups-image           CUPS image - CUPS image development files                    REQUIRED        -               1.5.3           OK         -
hp-check[3454]: info: : libnetsnmp-devel     libnetsnmp-devel - SNMP networking library development files REQUIRED        5.0.9           5.4.3           OK         -
hp-check[3454]: info: : sane-devel           SANE - Scanning library development files                    REQUIRED        -               1.0.22          OK         -
hp-check[3454]: info: : pil                  PIL - Python Imaging Library (required for commandline scanning with hp-scan) OPTIONAL        -               1.1.7           OK         -
hp-check[3454]: info: : python2X             Python 2.2 or greater - Python programming language          REQUIRED        2.2             2.7.3           OK         -
hp-check[3454]: info: : pyqt4-dbus           PyQt 4 DBus - DBus Support for PyQt4                         REQUIRED        4.0             4.9.1           OK         -
hp-check[3454]: info: : libjpeg              libjpeg - JPEG library                                       REQUIRED        -               -               OK         -
hp-check[3454]: info: : libpthread           libpthread - POSIX threads library                           REQUIRED        -               2.15            OK         -
hp-check[3454]: info: : python-devel         Python devel - Python development files                      REQUIRED        2.2             2.7.3           OK         -
hp-check[3454]: info: : cups-devel           CUPS devel- Common Unix Printing System development files    REQUIRED        -               1.5.3           OK         -
hp-check[3454]: info: : sane                 SANE - Scanning library                                      REQUIRED        -               1.0.22          OK         -
hp-check[3454]: info: :
hp-check[3454]: info: :---------------
hp-check[3454]: info: :|  COMPILEDEP |
hp-check[3454]: info: :---------------
hp-check[3454]: info: :
hp-check[3454]: info: : libtool              libtool - Library building support services                  REQUIRED        -               2.4.2           OK         -
hp-check[3454]: info: : gcc                  gcc - GNU Project C and C++ Compiler                         REQUIRED        -               4.6.3           OK         -
hp-check[3454]: info: : make                 make - GNU make utility to maintain groups of programs       REQUIRED        3.0             3.81            OK         -
hp-check[3454]: info: :
hp-check[3454]: info: :----------------------
hp-check[3454]: info: :|  Python Extentions |
hp-check[3454]: info: :----------------------
hp-check[3454]: info: :
hp-check[3454]: info: : cupsext              CUPS-Extension                                               REQUIRED        -               3.15.7          OK         -
hp-check[3454]: info: : hpmudext             IO-Extension                                                 REQUIRED        -               3.15.7          OK         -
hp-check[3454]: info: :
hp-check[3454]: info: :-----------------------
hp-check[3454]: info: :|  Scan Configuration |
hp-check[3454]: info: :-----------------------
hp-check[3454]: info: :
hp-check[3454]: info: : scanext              Scan-SANE-Extension                                          REQUIRED        -               3.15.7          OK         -
hp-check[3454]: info: : hpaio                HPLIP-SANE-Backend                                           REQUIRED        -               3.15.7          OK         'hpaio found in /etc/sane.d/dll.conf'
hp-check[3454]: info: :
hp-check[3454]: info: :-----------------------
hp-check[3454]: info: :|  Other Dependencies |
hp-check[3454]: info: :-----------------------
hp-check[3454]: info: :
hp-check[3454]: info: :
hp-check[3454]: info: :------------------------------
hp-check[3454]: info: :| DISCOVERED SCANNER DEVICES |
hp-check[3454]: info: :------------------------------
hp-check[3454]: info: :
hp-check[3454]: info: :WARNING: gnome-keyring:: couldn't connect to: /tmp/keyring-Nppj0g/pkcs11: No such file or directory
WARNING: gnome-keyring:: couldn't connect to: /tmp/keyring-Nppj0g/pkcs11: No such file or directory
WARNING: gnome-keyring:: couldn't connect to: /tmp/keyring-Nppj0g/pkcs11: No such file or directory
WARNING: gnome-keyring:: couldn't connect to: /tmp/keyring-Nppj0g/pkcs11: No such file or directory
device `hpaio:/net/Photosmart_2570_series?zc=HP054C3D' is a Hewlett-Packard Photosmart_2570_series all-in-one

hp-check[3454]: info: :
hp-check[3454]: info: :--------------------------
hp-check[3454]: info: :| DISCOVERED USB DEVICES |
hp-check[3454]: info: :--------------------------
hp-check[3454]: info: :
hp-check[3454]: info: :No devices found.
hp-check[3454]: info: :
hp-check[3454]: info: :---------------------------------
hp-check[3454]: info: :| INSTALLED CUPS PRINTER QUEUES |
hp-check[3454]: info: :---------------------------------
hp-check[3454]: info: :
hp-check[3454]: info: :
hp-check[3454]: info: :WARNING
hp-check[3454]: info: :-------
hp-check[3454]: info: :Type: Unknown
hp-check[3454]: info: :Device URI: gnome-keyring:: couldn't connect to: /tmp/keyring-Nppj0g/pkcs11: Bestand of map bestaat niet
hp-check[3454]: info: :
hp-check[3454]: info: :HP-Photosmart-2570-series
hp-check[3454]: info: :-------------------------
hp-check[3454]: info: :Type: Printer
hp-check[3454]: info: :Device URI: hp:/net/Photosmart_2570_series?zc=HP054C3D
hp-check[3454]: info: :PPD: /etc/cups/ppd/HP-Photosmart-2570-series.ppd
hp-check[3454]: info: :PPD Description: HP Photosmart 2570 Series, hpcups 3.15.7
hp-check[3454]: info: :Printer status: WARNING: gnome-keyring:: couldn't connect to: /tmp/keyring-Nppj0g/pkcs11: Bestand of map bestaat niet
printer HP-Photosmart-2570-series is idle.  enabled since wo 09 sep 2015 16:53:27 CEST
error: get_data_type(): Field type lookup failed for key scan-style
hp-check[3454]: info: :Communication status: Good
hp-check[3454]: info: :
hp-check[3454]: info: :
hp-check[3454]: info: :--------------
hp-check[3454]: info: :| PERMISSION |
hp-check[3454]: info: :--------------
hp-check[3454]: info: :
hp-check[3454]: info: :No errors or warnings.
hp-check[3454]: info: :
hp-check[3454]: info: :Done.
Ik heb er geen verstand van, maar zie wel her en der meldingen staan dat een bepaald bestand of map niet gevonden kon worden

Offline molly w

  • Lid
Re: problemen met printen en scannen
« Reactie #6 Gepost op: 2015/09/10, 12:23:57 »
Gekeken in http://localhost:631/admin.
Ik weet niet waar ik naar kijken moet, maar zie in mijn lekenogen geen errors of zo.

Ik heb ook het commando gedaan: hp-setupTerminal geeft het volgende terug:
[b]HP Linux Imaging and Printing System (ver. 3.15.7)
Printer/Fax Setup Utility ver. 9.0[/b]

Copyright (c) 2001-15 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Searching... (bus=net, timeout=5, ttl=4, search=(None) desc=0, method=slp)
[color=red]|error: get_data_type(): Field type lookup failed for key scan-style[/color]
De printer staat aan, er wordt dus wel een apparaat gevonden. Opvallend is de laatst regel |error: get_data_type(): Field type lookup failed for key scan-style
« Laatst bewerkt op: 2015/09/10, 12:26:32 door molly w »

Offline molly w

  • Lid
Re: problemen met printen en scannen
« Reactie #7 Gepost op: 2015/09/10, 12:30:04 »
Misschien eens met Synaptic proberen: gebroken pakketten repareren? Er staat een rood kruis bij de printer in hplip. Ik denk dat je gelijk hebt met die update. Daar is wat fout gegaan.

Ik zie nu geen rood kruis. Misschien had ik de printer uitgezet toen ik deze schermafdruk maakte.

Offline molly w

  • Lid
Re: problemen met printen en scannen
« Reactie #8 Gepost op: 2015/09/10, 12:43:49 »
Misschien eens met Synaptic proberen: gebroken pakketten repareren? Er staat een rood kruis bij de printer in hplip. Ik denk dat je gelijk hebt met die update. Daar is wat fout gegaan.

'Gebroken pakketten repareren' toepassen op " /var/cache/apt/archives/hplip-data_3.12.2-1ubuntu3.5_all.deb" lukt niet. krijg dezelfde foutmelding als bij het updaten. Zie ook afbeelding

Offline jvecht

  • Lid
    • Just Vecht
  • Steunpunt: Ja
Re: problemen met printen en scannen
« Reactie #9 Gepost op: 2015/09/10, 13:16:04 »
Nu misschien even op de knop Toepassen drukken in Synaptic? Het pictogram is voor mij nieuw, maar ik heb ook geen Mint draaien. Het lijkt te wijzen op een herinstallatie.
GIMP bundel 2017  25 cursussen met geweldig mooi oefenmateriaal. Lekker lezen of er wat van opsteken!
  Boekje "Werken met Xubuntu" 4000+ downloads!
     Het Helpmij Magazine December 2017

Offline molly w

  • Lid
Re: problemen met printen en scannen
« Reactie #10 Gepost op: 2015/09/10, 13:39:52 »
Nu misschien even op de knop Toepassen drukken in Synaptic? Het pictogram is voor mij nieuw, maar ik heb ook geen Mint draaien. Het lijkt te wijzen op een herinstallatie.

Gedaan, en dan komt de foutmelding dat installatie mislukt.

Offline jvecht

  • Lid
    • Just Vecht
  • Steunpunt: Ja
Re: problemen met printen en scannen
« Reactie #11 Gepost op: 2015/09/10, 13:58:14 »
Tjemig!

Het wordt nou wel desperaat. Dan maar heel hplip verwijderen met kop en staart, vervolgens opnieuw installeren. Ik meen dat je dat eerder zelf ook al voorstelde. Dat moeten we dan maar doen. Verwijderen inclusief configuratie bestanden doen dan maar, al is dat wat overdreven. Die printer hangt er vlot genoeg weer in.
GIMP bundel 2017  25 cursussen met geweldig mooi oefenmateriaal. Lekker lezen of er wat van opsteken!
  Boekje "Werken met Xubuntu" 4000+ downloads!
     Het Helpmij Magazine December 2017

Offline molly w

  • Lid
Re: problemen met printen en scannen
« Reactie #12 Gepost op: 2015/09/10, 14:29:14 »
Tjemig!

Het wordt nou wel desperaat. Dan maar heel hplip verwijderen met kop en staart, vervolgens opnieuw installeren. Ik meen dat je dat eerder zelf ook al voorstelde. Dat moeten we dan maar doen. Verwijderen inclusief configuratie bestanden doen dan maar, al is dat wat overdreven. Die printer hangt er vlot genoeg weer in.

Voordat ik dat doe een paar vragen:
  • hlplip verwijderen met Synaptic? Kiezen: bewerken / pakket volledig verwijderen?
  • Opnieuw installeren, hoe doe ik dat? Nu staat er nog in mijn map downloads een map hplip 3.15.7 - zijnde de nieuwste. Ik denk dat na verwijdering die helemaal weg is. Hoe krijg ik dan hplip weer terug? vanaf de website van HP? Of welk commando in Terminal?
  • Stel dat de problemen de wereld uit zijn, blijft onopgehelderd wat en waarom dit bij het updaten fout ging?

Offline jvecht

  • Lid
    • Just Vecht
  • Steunpunt: Ja
Re: problemen met printen en scannen
« Reactie #13 Gepost op: 2015/09/10, 15:01:17 »
Verwijder hem eerst maar met Synaptic. Die map in Downloads blijft daar wel staan. Als Synaptic uitgereuteld is installeer je hplip gewoon weer met Synaptic. Je zou wellicht even een herstart kunnen doen in dit geval. Je kan ook kiezen uit direct een herinstallatie binnen Synaptic.

Een hik bij een update komt wel eens voor, maar het blijft een zeldzaamheid.

Mocht de normale weg via Synaptic niet lukken, dan is er nog de weg naar de terminalopdrachten. Maar dat komt wel als het zo niet lukt.
GIMP bundel 2017  25 cursussen met geweldig mooi oefenmateriaal. Lekker lezen of er wat van opsteken!
  Boekje "Werken met Xubuntu" 4000+ downloads!
     Het Helpmij Magazine December 2017

Offline molly w

  • Lid
Re: problemen met printen en scannen
« Reactie #14 Gepost op: 2015/09/11, 11:01:20 »
Verwijder hem eerst maar met Synaptic. Die map in Downloads blijft daar wel staan. Als Synaptic uitgereuteld is installeer je hplip gewoon weer met Synaptic. Je zou wellicht even een herstart kunnen doen in dit geval. Je kan ook kiezen uit direct een herinstallatie binnen Synaptic.
Bij verwijdering van HPLIP (via Synaptic) kwam de bekende foutmelding weer die telkens opduikt:
Citaat
E: /var/cache/apt/archives/hplip-data_3.12.2-1ubuntu3.5_all.deb: kan de status van `./usr/share/hplip/printsettings.py' niet opvragen (die ik net wilde gaan installeren): Invoer-/uitvoerfout

Zometeen herstart en opnieuw HPLIP installeren. Ben benieuwd.

Offline jvecht

  • Lid
    • Just Vecht
  • Steunpunt: Ja
Re: problemen met printen en scannen
« Reactie #15 Gepost op: 2015/09/11, 11:12:22 »
Er is blijkbaar wat mis met printsettings.py. Kan je eens kijken of dat bestand er nog wel is?
GIMP bundel 2017  25 cursussen met geweldig mooi oefenmateriaal. Lekker lezen of er wat van opsteken!
  Boekje "Werken met Xubuntu" 4000+ downloads!
     Het Helpmij Magazine December 2017

Offline molly w

  • Lid
Re: problemen met printen en scannen
« Reactie #16 Gepost op: 2015/09/11, 11:59:51 »
Er is blijkbaar wat mis met printsettings.py. Kan je eens kijken of dat bestand er nog wel is?
Ja hoor, staat netjes in de map hplip3.15.7  2.7kB d.d. 13-7-2015

Offline molly w

  • Lid
Re: problemen met printen en scannen
« Reactie #17 Gepost op: 2015/09/11, 12:08:11 »
HPLIP installeren gaat niet goed.
Met Pakketbeheer - ik kies hplip - ik kies installeren - ik kies printer-driver-postscript-hp - krijg dezelfde foutmeldingen:
Citaat
E: /var/cache/apt/archives/hplip-data_3.12.2-1ubuntu3.5_all.deb: kan de status van `./usr/share/hplip/printsettings.py' niet opvragen (die ik net wilde gaan installeren): Invoer-/uitvoerfout
E: /var/cache/apt/archives/hplip_3.12.2-1ubuntu3.5_i386.deb: failed to stat (dereference) existing symlink `/usr/bin/hp-query': Invoer-/uitvoerfout

Als ik vervolgens kies om te installeren hplip-gui, komt er nog een foutmelding bij:
Citaat
E: /var/cache/apt/archives/hplip-gui_3.12.2-1ubuntu3.5_all.deb: failed to stat (dereference) existing symlink `/usr/bin/hp-devicesettings': Invoer-/uitvoerfout
De printer staat aan.

Offline jvecht

  • Lid
    • Just Vecht
  • Steunpunt: Ja
Re: problemen met printen en scannen
« Reactie #18 Gepost op: 2015/09/11, 12:20:46 »
Heel vreemd!

Zou jouw harde schijf soms problemen geven, vraag ik me nou af?
GIMP bundel 2017  25 cursussen met geweldig mooi oefenmateriaal. Lekker lezen of er wat van opsteken!
  Boekje "Werken met Xubuntu" 4000+ downloads!
     Het Helpmij Magazine December 2017

Offline molly w

  • Lid
Re: problemen met printen en scannen
« Reactie #19 Gepost op: 2015/09/11, 12:40:25 »
Ik probeer hp-install uit te voeren met terminal.
Tijdens uit voeren zie ik de volgende melding voorbij komen:
Citaat
warning: An error occurred running 'sudo dpkg --configure -a'
een regel verder:
Citaat
warning: An error occurred running 'sudo apt-get install --yes --force-yes -f'

ik kies voor verwijderen van bestaande hplip 3.15.7 en opnieuw installeren

Een tijdje verder: (rood) error .....  - ik kan niet lezen wat er gemeld wordt want Terminal vliegt eruit.

Probeer het nog eens met pakketbeheer.
Foutmelding:
Citaat
E: /var/cache/apt/archives/hplip-data_3.12.2-1ubuntu3.5_all.deb: kan de status van `./usr/share/hplip/printsettings.py' niet opvragen (die ik net wilde gaan installeren): Invoer-/uitvoerfout
Details:
Citaat
(Database inlezen ... 205831 files and directories currently installed.)
Voorbereiden om hplip-data 3.12.2-1ubuntu3.4 te vervangen (door .../hplip-data_3.12.2-1ubuntu3.5_all.deb) ...
Uitpakken van vervangende hplip-data ...
dpkg: fout bij afhandelen van /var/cache/apt/archives/hplip-data_3.12.2-1ubuntu3.5_all.deb (--unpack):
 kan de status van `./usr/share/hplip/printsettings.py' niet opvragen (die ik net wilde gaan installeren): Invoer-/uitvoerfout
Er is geen apport-verslag weggeschreven omdat het maximum aantal verslagen (MaxReports) al is bereikt
                     dpkg-deb: error: subprocess paste was killed by signal (Gebroken pijp)
Uitpakken van hplip (uit .../hplip_3.12.2-1ubuntu3.5_i386.deb) ...
Selecting previously unselected package printer-driver-postscript-hp.
Uitpakken van printer-driver-postscript-hp (uit .../printer-driver-postscript-hp_3.12.2-1ubuntu3.5_all.deb) ...
Processing triggers for man-db ...
Processing triggers for cups ...
Fouten gevonden tijdens behandelen van:
 /var/cache/apt/archives/hplip-data_3.12.2-1ubuntu3.5_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Een pakket kon niet geïnstalleerd worden. Aan het proberen om te herstellen:
dpkg: vereistenproblemen verhinderen de configuratie van hplip:
 hplip is afhankelijk van hplip-data (= 3.12.2-1ubuntu3.5); maar:
  Versie van hplip-data op dit systeem is 3.12.2-1ubuntu3.4.
dpkg: fout bij afhandelen van hplip (--configure):
 vereistenproblemen - blijft ongeconfigureerd
dpkg: vereistenproblemen verhinderen de configuratie van printer-driver-postscript-hp:
 printer-driver-postscript-hp is afhankelijk van hplip (>= 3.12.2-1ubuntu3.5); maar:
  Pakket hplip is nog niet geconfigureerd.
dpkg: fout bij afhandelen van printer-driver-postscript-hp (--configure):
 vereistenproblemen - blijft ongeconfigureerd
Fouten gevonden tijdens behandelen van:
 hplip
 printer-driver-postscript-hp
Gevolg: hpcups is niet geïnstalleerd.
« Laatst bewerkt op: 2015/09/11, 14:15:27 door molly w »

Offline molly w

  • Lid
Re: problemen met printen en scannen
« Reactie #20 Gepost op: 2015/09/11, 14:14:21 »
Wat mij opvalt in de details zijn de foutmeldingen. Ik heb ze rood gemarkeerd. (dat kan niet als ik ze als citaat opneem - zie vorige reactie)


(Database inlezen ... 205831 files and directories currently installed.)
Voorbereiden om hplip-data 3.12.2-1ubuntu3.4 te vervangen (door .../hplip-data_3.12.2-1ubuntu3.5_all.deb) ...
Uitpakken van vervangende hplip-data ...
dpkg: fout bij afhandelen van /var/cache/apt/archives/hplip-data_3.12.2-1ubuntu3.5_all.deb (--unpack):
 kan de status van `./usr/share/hplip/printsettings.py' niet opvragen (die ik net wilde gaan installeren): Invoer-/uitvoerfout
Er is geen apport-verslag weggeschreven omdat het maximum aantal verslagen (MaxReports) al is bereikt
                     dpkg-deb: error: subprocess paste was killed by signal (Gebroken pijp)

Uitpakken van hplip (uit .../hplip_3.12.2-1ubuntu3.5_i386.deb) ...
Selecting previously unselected package printer-driver-postscript-hp.
Uitpakken van printer-driver-postscript-hp (uit .../printer-driver-postscript-hp_3.12.2-1ubuntu3.5_all.deb) ...
Processing triggers for man-db ...
Processing triggers for cups ...
Fouten gevonden tijdens behandelen van:
 /var/cache/apt/archives/hplip-data_3.12.2-1ubuntu3.5_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Een pakket kon niet geïnstalleerd worden. Aan het proberen om te herstellen:
dpkg: vereistenproblemen verhinderen de configuratie van hplip:
 hplip is afhankelijk van hplip-data (= 3.12.2-1ubuntu3.5); maar:
  Versie van hplip-data op dit systeem is 3.12.2-1ubuntu3.4.

dpkg: fout bij afhandelen van hplip (--configure):
 vereistenproblemen - blijft ongeconfigureerd
dpkg: vereistenproblemen verhinderen de configuratie van printer-driver-postscript-hp:
 printer-driver-postscript-hp is afhankelijk van hplip (>= 3.12.2-1ubuntu3.5); maar:
  Pakket hplip is nog niet geconfigureerd.
dpkg: fout bij afhandelen van printer-driver-postscript-hp (--configure):
 vereistenproblemen - blijft ongeconfigureerd
Fouten gevonden tijdens behandelen van:
 hplip

 printer-driver-postscript-hp

Offline Nero

  • Lid
  • Steunpunt: Ja
Re: problemen met printen en scannen
« Reactie #21 Gepost op: 2015/09/11, 14:57:19 »
dpkg: fout bij afhandelen van /var/cache/apt/archives/hplip-data_3.12.2-1ubuntu3.5_all.deb (--unpack):
 kan de status van `./usr/share/hplip/printsettings.py' niet opvragen (die ik net wilde gaan installeren): Invoer-/uitvoerfout
De I/O fouten zijn doorgaans aan volgende zaken te wijten:
- Leesfouten op de schijf: controleer de partitie met fsck, badblocks en/of smart (voor de ganse schijf).
- Foute karakters in het tekstbestand: zijn er een 'non-printable' tekens in de tekst? Verifieer met tekst-editor a la leafpad, gedit, ... of met console programma's cat, less, ...

Offline molly w

  • Lid
Re: problemen met printen en scannen
« Reactie #22 Gepost op: 2015/09/11, 16:53:26 »
dpkg: fout bij afhandelen van /var/cache/apt/archives/hplip-data_3.12.2-1ubuntu3.5_all.deb (--unpack):
 kan de status van `./usr/share/hplip/printsettings.py' niet opvragen (die ik net wilde gaan installeren): Invoer-/uitvoerfout
De I/O fouten zijn doorgaans aan volgende zaken te wijten:
- Leesfouten op de schijf: controleer de partitie met fsck, badblocks en/of smart (voor de ganse schijf).
Ik krijg de volgende WAARSCHUWING:
Citaat
'fsck' uit util-linux 2.20.1
e2fsck 1.42 (29-Nov-2011)
Partitie /dev/sdb2 is aangekoppeld. 


**WAARSCHUWING**!!!  Het bestandssysteem is aangekoppeld!
    Als u doorgaat **ZAL** dit tot **ZWARE** beschadigingen leiden.


Wilt u echt doorgaan<n>?

Schrik!!! Moet ik wel doorgaan?

Offline molly w

  • Lid
Re: problemen met printen en scannen
« Reactie #23 Gepost op: 2015/09/11, 16:59:26 »
kan de status van `./usr/share/hplip/printsettings.py' niet opvragen (die ik net wilde gaan installeren): Invoer-/uitvoerfout
[/qoute]
Ik zie bestand ./usr/share/hplip/printsettings.py niet staan op de bedoelde plaats.
Ik vraag me af of het verwijderd is bij de poging hplip 3.15.37 opnieuwe te installeren (zie hierboven)  of dat het vanaf het begin van de problemen ontbrak. Of dat het soms verdwenen is bij de update die niet goed ging. Het staat wel in de map downloads/hplip 3.15.7.
« Laatst bewerkt op: 2015/09/11, 17:02:46 door molly w »

Offline Nero

  • Lid
  • Steunpunt: Ja
Re: problemen met printen en scannen
« Reactie #24 Gepost op: 2015/09/11, 17:22:50 »
Is sdb2 de partitie waarop je werkende Linux staat? Zo ja, even opstarten met een andere Linux, bv een live cd of USB. Dan de fsck opdracht starten.

Is het niet de actieve partitie dan kan je die eerst umounten alvorens de fsck uit te voeren.

Wat betreft het ontbrekende bestand: als dat in je Downloads map staat kan je het kopiëren naar /usr/share/hplip. Eventueel dien je wel nog de rechten aan te passen.